<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE troubleshooting PUBLIC "-//OASIS//DTD DITA Troubleshooting//EN" "troubleshooting.dtd">
<troubleshooting id="dcpp_glossentries_referenced_using_glossref_are_not_displayed">
  <title>Glossary Entries Referenced Using 'glossref' are not Displayed</title>
  <prolog>
    <metadata>
      <keywords>
        <indexterm product="author developer editor authorEclipse developerEclipse editorEclipse"
            ><ph keyref="pdf-html5-transformation"/>
          <indexterm>Troubleshooting<indexterm>Glossentry</indexterm></indexterm></indexterm>
        <indexterm product="author developer editor authorEclipse developerEclipse editorEclipse"
            ><ph keyref="pdf-html5-transformation"/>
          <indexterm>Troubleshooting<indexterm>Glossgroup</indexterm></indexterm></indexterm>
        <indexterm product="author developer editor authorEclipse developerEclipse editorEclipse"
            ><ph keyref="pdf-html5-transformation"/>
          <indexterm>Troubleshooting<indexterm>Abbreviated-form</indexterm></indexterm></indexterm>
        <indexterm product="pdf-css ope"
          >Troubleshooting<indexterm>Glossentry</indexterm></indexterm>
        <indexterm product="pdf-css ope"
          >Troubleshooting<indexterm>Glossgroup</indexterm></indexterm>
        <indexterm product="pdf-css ope"
          >Troubleshooting<indexterm>Abbreviated-form</indexterm></indexterm>
      </keywords>
    </metadata>
  </prolog>
  <troublebody>
    <condition id="problem">
      <title>Problem</title>
      <p id="p_wlv_cgk_54b">I have a <xmlelement>glossgroup</xmlelement> that contains multiple
          <xmlelement>glossentry</xmlelement> elements and all the entries are referenced using
          <xmlelement>glossref</xmlelement> elements inside my map. When I add an
          <xmlelement>abbreviated-form</xmlelement> element linked to one of my
          <xmlelement>glossentry</xmlelement> elements (using a <xmlatt>keyref</xmlatt>), the entry
        is not resolved in the PDF output.</p>
    </condition>
    <troubleSolution>
      <remedy id="remedy">
        <title>Solution</title>
        <steps-informal>
          <p id="p_xlv_cgk_54b">Make sure every <xmlelement>glossentry</xmlelement> has an <xmlatt>id</xmlatt>. Then,
            for each <xmlelement>glossentry</xmlelement>, declare a
              <xmlelement>glossref</xmlelement> element like this:
              <codeblock  id="codeblock_ylv_cgk_54b">&lt;glossref href="concepts/glossary.dita#flowers.genus" print="yes" keys="genus"/></codeblock><note
              type="important" id="note_zlv_cgk_54b">For bookmaps, the <xmlelement>glossref</xmlelement> elements should
              be declared in a separate ditamap.</note></p>
        </steps-informal>
      </remedy>
    </troubleSolution>
  </troublebody>
</troubleshooting>
